package com.lemoulinstudio.jnag.common;

import java.nio.ByteBuffer;

/**
 * An interface used by a Jnag session to output the encoded function calls.
 *
 * You can receive the encoded data of the function calls made via Jnag by
 * using an instance that implements this interface and by registering it in
 * the Jnag session via the setMessageOutputListener() function.
 *
 * @author Vincent Cantin
 */
public interface MessageListener {

  /**
   * Notifies that a Jnag session wants the binary message specified in argument
   * to be sent to his destination.
   *
   * @param binaryMessage The binary message that have to be sent to his destination.
   */
  public void notifyMessage(ByteBuffer binaryMessage);
  
}
